/* my style css for custom css */

* {
  padding: 0;
  margin: 0;
  box-sizing: border-box;
  font-family: 'Noto Sans Arabic', 'system-ui';
  direction: rtl;
  scroll-behavior: smooth;

}

:root {
  --main-color: rgb(132, 37, 255);
  --second-color: rgb(185, 15, 157);
  --red-color: rgb(197, 22, 22);
  --green-color: rgb(5, 200, 5);
  --yellow-color: rgb(220, 220, 10);
  --white-color: rgb(255, 255, 255);
  --black-color: rgb(0, 0, 0);
  --dark-color: rgb(40, 40, 40);
  --eee-color: #eee;
  --ddd-color: #ddd;
}

input[placeholder], input[type='date'], textarea[placeholder], select {
  font-size: 14px !important;
  padding: 8px 10px !important;
}

.error {
  border: 2px solid red;
  color: red;
}

/* Pagination Styles */
.pagination {
  display: flex;
  justify-content: center;

}

.pagination a {
  color: #000;
  padding:0px 10px;
  text-decoration: none;
  border: 2px solid var(--main-color);
  border-radius: 4px;
  transition: background-color 0.3s ease;
  margin: 1px;
}

.pagination li a.active {
  background: #ddd;
}
.pagination a:hover:not(.active) {
  background-color: #f1f1f1;
}

.pagination .disabled {
  color: #ccc;
  cursor: not-allowed;
}

.student-aria {
  width: 100%;
  height: 88%;
  padding: 5px 10px;
  margin: 5px 0;
  background-color: #eee;
  border: 1px solid var(--main-color);
  border-radius: 8px;
}

.student-aria .stud {
  display: flex;
  justify-content: space-between;
  align-items: center;
  padding: 5px;
  margin: 2px;
}

.student-aria .stud:hover {
  background: #fff;
  border-radius: 4px;
}

.stud #st_name {
  width: 90%;
  font-size: 14px;
  text-wrap: wrap;
}

.stud #st_delete {
  width: 10%;
  cursor: pointer;
}

.mybutton {
  width: auto;
  height: auto;
  border-radius: 4px;
  padding: 7px 12px;
  text-align: center;
  border: none;
  cursor: pointer;
}

.mybutton:hover {
  opacity: 0.85;
}

/* loading */
.loader {
  display: flex;
  justify-content: center;
  align-items: center;
  margin-top: -20px;
  padding: 15px;
}

.loader>div {
  width: 12px;
  height: 12px;
  background-color: #333;
  border-radius: 50%;
  margin: 0 6px;
  transform: scale(0);
  animation: scale-loader 1s infinite cubic-bezier(0.2, 0.68, 0.18, 1.08);
}

.loader>div:nth-child(2) {
  animation-delay: 0.2s;
}

.loader>div:nth-child(3) {
  animation-delay: 0.4s;
}

@keyframes scale-loader {
  0% {
    transform: scale(0);
  }

  50% {
    transform: scale(1);
  }

  100% {
    transform: scale(0);
  }
}

a {
  text-decoration: none;
}

li {
  list-style-type: none;
}

.mycolor {
  color: var(--main-color);
}

.bg-mycolor {
  background-color: var(--main-color);
}

body {
  background-color: #f3f3f3;

}

.group {
  padding: 5px;
  margin: 5px 0px;
}


.page {
  width: 100%;
  padding: 15px;
  min-height: 80vh;
}

.footer {
  background-color: white;
  position: relative;
  display: flex;
  justify-content: center;
  box-shadow: 0 1px 4px 1px #ddd;
  padding: 5px;
}

.required {
  color: var(--red-color);
  font-size: 18px;
  font-weight: 500;
}

.caption-table {
  text-align: center;
  background-color: #fff;

}

.box {
  width: 100%;
  background-color: #fff;
  padding: 10px;
  box-shadow: 1px 1px 4px 1px #eee;
  border-radius: 2px;

}

.box_header {
  background-color: var(--main-color);
  padding: 10px;
  height: 15%;
  display: flex;
  justify-content: space-between;
  align-items: center;
}

.box_title {
  color: #1c0950;
  font-size: 20px;
}

.box_body {
  padding: 10px;
  height: 75%;
}

.box_footer {
  height: 10%;
  padding: 0 0 10px;
  text-align: center;

}
.sidebar-btn{
  width: 40px;
  height: 40px;
  text-align: center;
  margin-top: 100px;
  margin-right: 240px;
  background-color: #fff;
  padding: 7px;
  position: absolute;
  border: 1px solid var(--main-color);
  border-right: 1px solid #eee;
  border-top-left-radius: 12px;
  border-bottom-left-radius: 12px;
}
